Subject: Re: EBGP,IBGP,IGP
From: Srihari Ramachandra <[email-masked]>
To: [email-masked] (Natale, John)
Cc: [email-masked] ('Tony Mumm'), [email-masked] (Naveen Seth), [email-masked]
Date: Wed, 10 May 2000 09:08:36 -0700 (PDT)

> 
> Cisco, the main vendor deviates from the rfc:
> 
> 1) After a certain IOS level, the router ID is not used as tie breaker for
> routes unless they arrive at the same time (the first route to arrive is
> used).

We have a knob available in later releases and lets you compare router-ID
between eBGP paths.

> 
> 2) Routes with a different MED are aggregated.

You can select routes matching a specific MED and generate aggregate based
on them. However, we are currently enhancing the aggregate generation knob
to achieve the above.

> 
> ...other differences...
> 

We may be having knobs already and as this is vendor (and not protocol)
specific, please contact us directly.

srihari...

From: "Rijsman, Bruno" <[email-masked]>
To: "'BGP exploder'" <[email-masked]>, "'IDRP exploder'" <[email-masked]>
Subject: new SAFI in draft-rosen-rfc2547bis-00.txt 
Date: Mon, 8 May 2000 13:56:43 -0400 
Sender: [email-masked]

draft-rosen-rfc2547bis-00.txt defines a new SAFI value 128 for VPN-IPV4
NLRI. Since the the SAFI field is used for this purpose (as oposed to the
AFI field) it is no longer possible to specify whether a route is unicast or
multicast or both. Would it make sense to allow multicast routes to be
exchanged within a VPN? One way to do this would be to restructure the SAFI
field, for example:

bits 0 and 1:
  00 = Reserved
  01 = Unicast
  10 = Multicast
  11 = Unicast & multicast

bit 2
  0 = public address
  1 = VPN adress (i.e. NLRI is prefixed by an 8-byte RD)

bits 3-7
  reserved (must be zero on transmit, ignore on receipt)

Note that this scheme is backwards compatible with RFC2283.

-- Bruno Rijsman

From: "Natale, John" <[email-masked]>
To: "'Tony Mumm'" <[email-masked]>, Naveen Seth <[email-masked]>
Cc: [email-masked]
Subject: RE: EBGP,IBGP,IGP 
Date: Fri, 5 May 2000 11:31:58 -0400 
Sender: [email-masked]

Cisco, the main vendor deviates from the rfc:

1) After a certain IOS level, the router ID is not used as tie breaker for
routes unless they arrive at the same time (the first route to arrive is
used).

2) Routes with a different MED are aggregated.

...other differences...

-----Original Message-----
From: Tony Mumm [mailto:[email-masked]]
Sent: Thursday, May 04, 2000 9:19 AM
To: Naveen Seth
Cc: [email-masked]
Subject: Re: EBGP,IBGP,IGP 

Naveen,

Of course, RFC 1771 is a good reference for BGP.  It does not 
give you the vendor specific twists to BGP-4.  With that in 
mind, the best step would be to bounce this off your vendor. 
That would be a better forum for looking at the implimentation
of BGP.

-tm

 [email-masked]
    wrote
>Hi Naveen,
>    If you are looking for a book on BGP4...try "Internet Routing
Achitectures"
> by Bassam Halabi.
>
>
>"Kevin M. Woods" wrote:
>
>> Hi Naveen,
>>
>> 1) R2 should have the IGP learned route to Dest-D with R3 as the next
hop,
>>    although it could instead have the IBGP learned route (see 2).
>>
>> 2) The active route should be from the IGP unless R2 has been configured
>>    to prefer the IBGP learned route.
>>
>> 3) It shouldn't unless configured to do so, however this can lead to AS1
>>    becoming the originator of Dest-D to other ASs.
>>
>> This is assuming that Dest-D has been redistributed into the IGP by R1 as
>> you suggested.  Have a look at RFC 1772, Appendix A for an overview.
>>
>> Kevin
>>
>> // I have some queries regarding the interworking of BGP and IGP.
>> // Suppose AS1 has transit routers R1 and R2 running BGP (and IGP) and R3
run
>ning IGP (no BGP).
>> // R1 and R2 are connected through R3.
>> // If a route is received from a different AS at R1 (through EBGP) with
desti
>nation D and Next Hop N then that route will be installed in the IP routing
tab
>le by the BGP at R1 as Dest-D and NextHop-N.
>> // Also that route will be distributed to the IGP at R1 as Dest-D and
NextHop
>-N and to BGP at R2 as Dest-D and NextHop-N (through IBGP).
>> // My questions are -
>> // 1. What will be the routing table entry at R2?
>> // 2. BGP and IGP are both running at R2, so who will be actually adding
the 
>route in the routing table?
>> // 3. Will IGP at R2 distibute the route to BGP at R2?
>> //
>> // Also please give me some references for  IP routing.
>> // Thanks
>> // Naveen
>
>--
>Srivathsan Srinivasagopalan ("Sri")
>
>ATM / MPLS                   ESN:     248-6057
>Nortel Networks              Ph : 978-288-6057
>Billerica, MA 01821          Fax: 978-670-8152
>_______________________________________________
>
>
>

To: Naveen Seth <[email-masked]>
Cc: [email-masked]
Subject: Re: EBGP,IBGP,IGP 
Date: Thu, 04 May 2000 08:19:27 -0500
From: Tony Mumm <[email-masked]>
Sender: [email-masked]

Naveen,

Of course, RFC 1771 is a good reference for BGP.  It does not 
give you the vendor specific twists to BGP-4.  With that in 
mind, the best step would be to bounce this off your vendor. 
That would be a better forum for looking at the implimentation
of BGP.

-tm

 [email-masked]
    wrote
>Hi Naveen,
>    If you are looking for a book on BGP4...try "Internet Routing Achitectures"
> by Bassam Halabi.
>
>
>"Kevin M. Woods" wrote:
>
>> Hi Naveen,
>>
>> 1) R2 should have the IGP learned route to Dest-D with R3 as the next hop,
>>    although it could instead have the IBGP learned route (see 2).
>>
>> 2) The active route should be from the IGP unless R2 has been configured
>>    to prefer the IBGP learned route.
>>
>> 3) It shouldn't unless configured to do so, however this can lead to AS1
>>    becoming the originator of Dest-D to other ASs.
>>
>> This is assuming that Dest-D has been redistributed into the IGP by R1 as
>> you suggested.  Have a look at RFC 1772, Appendix A for an overview.
>>
>> Kevin
>>
>> // I have some queries regarding the interworking of BGP and IGP.
>> // Suppose AS1 has transit routers R1 and R2 running BGP (and IGP) and R3 run
>ning IGP (no BGP).
>> // R1 and R2 are connected through R3.
>> // If a route is received from a different AS at R1 (through EBGP) with desti
>nation D and Next Hop N then that route will be installed in the IP routing tab
>le by the BGP at R1 as Dest-D and NextHop-N.
>> // Also that route will be distributed to the IGP at R1 as Dest-D and NextHop
>-N and to BGP at R2 as Dest-D and NextHop-N (through IBGP).
>> // My questions are -
>> // 1. What will be the routing table entry at R2?
>> // 2. BGP and IGP are both running at R2, so who will be actually adding the 
>route in the routing table?
>> // 3. Will IGP at R2 distibute the route to BGP at R2?
>> //
>> // Also please give me some references for  IP routing.
>> // Thanks
>> // Naveen
>
>--
>Srivathsan Srinivasagopalan ("Sri")
>
>ATM / MPLS                   ESN:     248-6057
>Nortel Networks              Ph : 978-288-6057
>Billerica, MA 01821          Fax: 978-670-8152
>_______________________________________________
>
>
>

Content-return: allowed
Date: Thu, 04 May 2000 15:11:30 +0200
From: Garofalo Angelo <[email-masked]>
Subject: Theoretical limits of BGP?
To: "[email-masked]'" <[email-masked]>
Sender: [email-masked]

I have a question:
Exists a theoretical limit of annunciable routes from BGP?

Thanks
Angelo

From: [email-masked]
Date: Thu, 04 May 2000 08:25:36 -0400
Organization: Router Management Labs
To: "Kevin M. Woods" <[email-masked]>
Cc: Naveen Seth <[email-masked]>, [email-masked]
Subject: Re: EBGP,IBGP,IGP
Sender: [email-masked]

Hi Naveen,
    If you are looking for a book on BGP4...try "Internet Routing Achitectures" by Bassam Halabi.

"Kevin M. Woods" wrote:

> Hi Naveen,
>
> 1) R2 should have the IGP learned route to Dest-D with R3 as the next hop,
>    although it could instead have the IBGP learned route (see 2).
>
> 2) The active route should be from the IGP unless R2 has been configured
>    to prefer the IBGP learned route.
>
> 3) It shouldn't unless configured to do so, however this can lead to AS1
>    becoming the originator of Dest-D to other ASs.
>
> This is assuming that Dest-D has been redistributed into the IGP by R1 as
> you suggested.  Have a look at RFC 1772, Appendix A for an overview.
>
> Kevin
>
> // I have some queries regarding the interworking of BGP and IGP.
> // Suppose AS1 has transit routers R1 and R2 running BGP (and IGP) and R3 running IGP (no BGP).
> // R1 and R2 are connected through R3.
> // If a route is received from a different AS at R1 (through EBGP) with destination D and Next Hop N then that route will be installed in the IP routing table by the BGP at R1 as Dest-D and NextHop-N.
> // Also that route will be distributed to the IGP at R1 as Dest-D and NextHop-N and to BGP at R2 as Dest-D and NextHop-N (through IBGP).
> // My questions are -
> // 1. What will be the routing table entry at R2?
> // 2. BGP and IGP are both running at R2, so who will be actually adding the route in the routing table?
> // 3. Will IGP at R2 distibute the route to BGP at R2?
> //
> // Also please give me some references for  IP routing.
> // Thanks
> // Naveen

--
Srivathsan Srinivasagopalan ("Sri")

ATM / MPLS                   ESN:     248-6057
Nortel Networks              Ph : 978-288-6057
Billerica, MA 01821          Fax: 978-670-8152
_______________________________________________

Date: Thu, 4 May 2000 03:57:24 -0700
From: "Kevin M. Woods" <[email-masked]>
To: Naveen Seth <[email-masked]>
Cc: [email-masked]
Subject: Re: EBGP,IBGP,IGP
Sender: [email-masked]

Hi Naveen,

1) R2 should have the IGP learned route to Dest-D with R3 as the next hop,
   although it could instead have the IBGP learned route (see 2).

2) The active route should be from the IGP unless R2 has been configured
   to prefer the IBGP learned route.

3) It shouldn't unless configured to do so, however this can lead to AS1
   becoming the originator of Dest-D to other ASs.

This is assuming that Dest-D has been redistributed into the IGP by R1 as
you suggested.  Have a look at RFC 1772, Appendix A for an overview.

Kevin

// I have some queries regarding the interworking of BGP and IGP.
// Suppose AS1 has transit routers R1 and R2 running BGP (and IGP) and R3 running IGP (no BGP).
// R1 and R2 are connected through R3. 
// If a route is received from a different AS at R1 (through EBGP) with destination D and Next Hop N then that route will be installed in the IP routing table by the BGP at R1 as Dest-D and NextHop-N.
// Also that route will be distributed to the IGP at R1 as Dest-D and NextHop-N and to BGP at R2 as Dest-D and NextHop-N (through IBGP).
// My questions are -
// 1. What will be the routing table entry at R2?
// 2. BGP and IGP are both running at R2, so who will be actually adding the route in the routing table?
// 3. Will IGP at R2 distibute the route to BGP at R2?
// 
// Also please give me some references for  IP routing.
// Thanks
// Naveen

From: "Naveen Seth" <[email-masked]>
To: <[email-masked]>
Subject: EBGP,IBGP,IGP
Date: Thu, 4 May 2000 13:03:25 +0530
Sender: [email-masked]

This is a multi-part message in MIME format.

------=_NextPart_000_003F_01BFB5C9.2263E810
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

I have some queries regarding the interworking of BGP and IGP.
Suppose AS1 has transit routers R1 and R2 running BGP (and IGP) and R3 =
running IGP (no BGP).
R1 and R2 are connected through R3.=20
If a route is received from a different AS at R1 (through EBGP) with =
destination D and Next Hop N then that route will be installed in the IP =
routing table by the BGP at R1 as Dest-D and NextHop-N.
Also that route will be distributed to the IGP at R1 as Dest-D and =
NextHop-N and to BGP at R2 as Dest-D and NextHop-N (through IBGP).
My questions are -
1. What will be the routing table entry at R2?
2. BGP and IGP are both running at R2, so who will be actually adding =
the route in the routing table?
3. Will IGP at R2 distibute the route to BGP at R2?

Also please give me some references for  IP routing.
Thanks
Naveen

------=_NextPart_000_003F_01BFB5C9.2263E810
Content-Type: text/html;
	charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD>
<META content=3D"text/html; charset=3Diso-8859-1" =
http-equiv=3DContent-Type>
<META content=3D"MSHTML 5.00.2314.1000" name=3DGENERATOR>
<STYLE></STYLE>
</HEAD>
<BODY bgColor=3D#ffffff>
<DIV><FONT size=3D2>I have some queries regarding the interworking of =
BGP and=20
IGP.</FONT></DIV>
<DIV><FONT size=3D2>Suppose AS1 has transit routers R1 and R2 running =
BGP (and=20
IGP) and R3 running IGP (no BGP).</FONT></DIV>
<DIV><FONT size=3D2>R1 and R2 are connected through R3. </FONT></DIV>
<DIV><FONT size=3D2>If a route is received from a different AS at R1 =
(through=20
EBGP) with destination D and Next Hop N then that route will be =
installed in the=20
IP routing table by the BGP at R1 as Dest-D and NextHop-N.</FONT></DIV>
<DIV><FONT size=3D2>Also that route will be distributed to the IGP at R1 =
as Dest-D=20
and NextHop-N and to BGP at R2 as Dest-D and NextHop-N (through=20
IBGP).</FONT></DIV>
<DIV><FONT size=3D2>My questions are -</FONT></DIV>
<DIV><FONT size=3D2>1. What will&nbsp;be the routing table entry at=20
R2?</FONT></DIV>
<DIV><FONT size=3D2>2. BGP and IGP are both running at R2, so who will =
be actually=20
adding the route&nbsp;in the routing table?</FONT></DIV>
<DIV><FONT size=3D2>3. Will IGP at R2 distibute the route to BGP at=20
R2?</FONT></DIV>
<DIV>&nbsp;</DIV>
<DIV><FONT size=3D2>Also please give me some references for =
</FONT>&nbsp;<FONT=20
size=3D2>IP routing.</FONT></DIV>
<DIV><FONT size=3D2>Thanks</FONT></DIV>
<DIV><FONT size=3D2>Naveen</FONT></DIV></BODY></HTML>

------=_NextPart_000_003F_01BFB5C9.2263E810--